import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeInputComponent from "./src/input.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeInput = Object.assign(VxeInputComponent, {
  install(app) {
    app.component(VxeInputComponent.name, VxeInputComponent);
  }
});
dynamicApp.use(VxeInput);
VxeUI.component(VxeInputComponent);
const Input = VxeInput;
export {
  Input,
  VxeInput,
  VxeInput as default
};
